# SNTRYSideMenuController

by Warren Merrifield

- [Visit lonesentry.co.uk](http://www.lonesentry.co.uk/)
- [Follow @wmerrifield on Twitter](http://twitter.com/wmerrifield)

## What is SNTRYSideMenuController?

SNTRYSideMenuController is an iPhone GUI component, for showing and hiding a menu on either side of the screen (like the Facebook app on iOS or the Notification Center in OS X Mountain Lion). It's designed for iOS 5, and uses ARC and Modern Objective C (i.e. it needs to be built with at least Xcode 4.4)

## Getting started

SNTRYSideMenuController includes a demo application, showing how to show and hide the menus.

You just need to copy the SNTRYSideMenuController.h and .m files into your project. All the remaining files in the Xcode project are included for demonstration purposes only.

SNTRYSideMenuController is a UIViewController container subclass that needs to be initialised with the main viewController that fills the screen. You can then show another UIViewController on either side using the [SNTRYSideMenuController showMenuViewController:onSide:animated:] method.

```objective-c
// Initialise the SNTRYSideMenuController
sideController = [[SNTRYSideMenuController alloc] initWithMainViewController:mainViewController];

// Show the menu on the LHS of the screen
[sideController showMenuViewController:menuViewController
                                onSide:SNTRYSideMenuControllerMenuSideLeft
                              animated:YES];

// Adjust the width of the menu 
[sideController setMenuWidth:200.0f animated:YES];

// Programatically close the menu (this also happens automatically if the
// user taps on the "pushed over" main view)
[sideController hideMenuViewControllerAnimated:YES];
```

The object also sends out notifications and also has an optional delegate which is informed when a side menu is shown or hidden. 

## Attribution

The frog photograph used in the demo app is by [Christoph Leeb at the German language Wikipedia](https://en.wikipedia.org/wiki/File:Laubfrosch_cropped.jpg). It is used under a Creative Commons Attribution-Share Alike 3.0 license.

The API design, and the format of this README, have been shamelessly based on [Matt Gemmell's](http://mattgemmell.com) work.

## Downloading the code

You can [get SNTRYSideMenuController on github](http://github.com/lonesentry/SNTRYSideMenuController).

## License

Copyright (c) 2012 Lone Sentry Ltd.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Support, bugs and feature requests

There is absolutely **no support** offered with this component. You're on your own! If you want to submit a feature request, please do so via [the issue tracker on github](http://github.com/lonesentry/SNTRYSideMenuController/issues).

If you want to submit a bug report, please also do so via the issue tracker, including a diagnosis of the problem and a suggested fix (in code). If you're using SNTRYSideMenuController, you're a developer - so I expect you to do your homework and provide a fix along with each bug report. You can also submit pull requests or patches.

Please don't submit bug reports without fixes!
