//
//  SNTRYAppDelegate.m
//  SideMenuDemo
//
//  Created by Warren Merrifield on 17/08/2012.
//  Copyright (c) 2012 Lone Sentry Ltd. All rights reserved.
//
//	Permission is hereby granted, free of charge, to any person obtaining a
//	copy of this software and associated documentation files (the "Software"),
//	to deal in the Software without restriction, including without limitation
//	the rights to use, copy, modify, merge, publish, distribute, sublicense,
//	and/or sell copies of the Software, and to permit persons to whom the
//	Software is furnished to do so, subject to the following conditions:
//
//	The above copyright notice and this permission notice shall be included in
//	all copies or substantial portions of the Software.
//
//	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//	AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
//	FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
//	IN THE SOFTWARE.
//

#import "SNTRYSideMenuController.h"
#import "SNTRYAppDelegate.h"
#import "SNTRYFrogViewController.h"
#import "SNTRYListViewController.h"

@implementation SNTRYAppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
	SNTRYFrogViewController* frogViewController = [[SNTRYFrogViewController alloc] initWithNibName:nil bundle:nil];
	
	// Create the Side Controller Menu
	self.sideController = [[SNTRYSideMenuController alloc] initWithMainViewController:frogViewController];
	
	// Create the Window
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    self.window.backgroundColor = [UIColor whiteColor];
	self.window.rootViewController = self.sideController;
    [self.window makeKeyAndVisible];
    return YES;
}

-(IBAction)showLeftMenu:(id)sender
{
	SNTRYListViewController* listController = [[SNTRYListViewController alloc] initWithNibName:nil bundle:nil];
	listController.title = NSLocalizedString(@"Left Menu", nil);
	[self.sideController showMenuViewController:listController
										 onSide:SNTRYSideMenuControllerMenuSideLeft
									   animated:YES];
}

-(IBAction)showRightMenu:(id)sender
{
	SNTRYListViewController* listController = [[SNTRYListViewController alloc] initWithNibName:nil bundle:nil];
	listController.title = NSLocalizedString(@"Right Menu", nil);	
	[self.sideController showMenuViewController:listController
										 onSide:SNTRYSideMenuControllerMenuSideRight
									   animated:YES];
}


@end
